<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Social_Charity
 */
get_header();
?>
<section class="inner-wrapper inner-bloglist">
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
				<div class="blog">
					<div class="row">
						<header class="page-header">
							<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'social-charity' ); ?></h1>
						</header>
						<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'social-charity' ); ?></p>
					</div>
				</div>
			</div>
			<div class="col-lg-4">
				<div class="sidebar">
					<?php get_sidebar();?>	
				</div>
			</div>
		</div>
	</div>
</section>

<?php
get_footer();
?>