<?php
/**
 * Template part for displaying page content in give.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Social_Charity
 */

?>

<div class="detail-block mgb-lg">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php if(has_post_thumbnail()): ?>
			<div class="img">
				<?php 
				the_post_thumbnail();
				?>
			</div>
		<?php endif;?>
		<div class="date"><span class="fa fa-calendar" aria-hidden="true"></span><?php echo esc_html(get_post_time('j F, Y'));?></div>
		<h3 class="title"><?php the_title();?></h3>
		<?php  echo wp_kses(give_get_meta( get_the_ID(), '_give_form_content', true ),true); ?>
		<?php
          /**
           * Fires in single form template, to the form summary.
           *
           * Allows you to add elements to the form summary.
           *
           * @since 1.0
           */
          do_action( 'give_single_form_summary','give_get_donation_form', 10 );
         ?>
	</article>
</div>