<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Social_Charity
 */

?>

<div class="detail-block mgb-lg">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php if(has_post_thumbnail()): ?>
			<div class="img">
				<?php 
				the_post_thumbnail();
				?>
			</div>
		<?php endif;?>
		<div class="date"><span class="fa fa-calendar" aria-hidden="true"></span><?php echo esc_html(get_post_time('j F, Y'));?></div>
		<h3 class="title"><?php the_title();?></h3>
		<?php the_content();?>
	</article>
	<?php
	wp_link_pages( array(
		'before' => '<div class="page-links">' . esc_html__( 'Pages: ', 'social-charity' ),
		'after'  => '</div>',
	) );
	?>
</div>